# Record TCefUrlrequestClient

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefUrlrequestClient = record`

## Description

Structure that should be implemented by the ICefUrlRequest client. The functions of this structure will be called on the same thread that created the request unless otherwise documented.

NOTE: This struct is allocated client-side.

Implemented by ICefUrlrequestClient.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_client_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_request_complete: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest); stdcall;`
| `on_upload_progress: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; current, total: Int64); stdcall;`
| `on_download_progress: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; current, total: Int64); stdcall;`
| `on_download_data: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; const data: Pointer; data_length: NativeUInt); stdcall;`
| `get_auth_credentials: function(self: PCefUrlRequestClient; isProxy: Integer; const host: PCefString; port: Integer; const realm, scheme: PCefString; callback: PCefAuthCallback): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_request_complete: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest); stdcall;`
This item has no description.

| `on_upload_progress: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; current, total: Int64); stdcall;`
This item has no description.

| `on_download_progress: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; current, total: Int64); stdcall;`
This item has no description.

| `on_download_data: procedure(self: PCefUrlRequestClient; request: PCefUrlRequest; const data: Pointer; data_length: NativeUInt); stdcall;`
This item has no description.

| `get_auth_credentials: function(self: PCefUrlRequestClient; isProxy: Integer; const host: PCefString; port: Integer; const realm, scheme: PCefString; callback: PCefAuthCallback): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.